### Hierarchy

- AbstractWalletValidator<AppCryptoWallet, AppWalletData>
  - AppWalletValidator

### Implements

- WalletValidator<AppCryptoWallet, AppWalletData>

## Index

### Methods

- validateCryptoWallet
- validateSignature

## Methods

### validateCryptoWallet

- validateCryptoWallet(wallet: AppWalletData): ValidationResult<StringSignedMessage>

- Inherited from AbstractWalletValidator.validateCryptoWallet

  - Defined in utils/types/validators/AbstractWalletValidator.ts:9

  #### Parameters

  - ##### wallet: AppWalletData

  #### Returns ValidationResult<StringSignedMessage>

### validateSignature

- validateSignature(wallet: AppWalletData): boolean

- Overrides AbstractWalletValidator.validateSignature

  - Defined in utils/types/validators/AppWalletValidator.ts:7

  #### Parameters

  - ##### wallet: AppWalletData

  #### Returns boolean

Generated using TypeDoc